/* mapview - map viewer for PalmOS
   Copyright (C) 2005  Edwin Steiner <edwin.steiner@gmx.net>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#ifndef _MAPLIST_H_
#define _MAPLIST_H_

#include "global.h"

typedef struct mapview_maplist_t mapview_maplist_t;
typedef struct mapview_maplist_item_t mapview_maplist_item_t;

struct mapview_maplist_item_t {
        UInt16                          cardno;
        LocalID                         localid;
        char                            name[dmDBNameLength];
        mapview_maplist_item_t *        next;
};

struct mapview_maplist_t {
        mapview_maplist_item_t *        items;
        UInt16                          n;
        Char **                         _listitems;
};

mapview_maplist_t *mapview_maplist_new(void);
void mapview_maplist_free(mapview_maplist_t *ml);

UInt16 mapview_maplist_n(mapview_maplist_t *ml);
mapview_maplist_item_t *mapview_maplist_nth_item(mapview_maplist_t *ml,Int32 index);

void mapview_maplist_set_list_choices(mapview_maplist_t *ml,ListPtr lst);

#endif

/* vim: et sts=8 sw=8 ai
 */
